<?php
//
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("ce_boleta.php");
include("ce_boleta_ex.php");
include("ce_factura.php");
include("ce_nota_de_credito.php");
include("ce_nota_de_credito_ex.php");
//
function CE_GEN_SER_NUM($ID_COM,$ID_EMP,&$SER,&$NUM){
	$SER="001";
	$NUM="0000002";
	return true;
}
//
$CMD=V($_GET['CMD']);
$P01=V($_GET['P01']);
$P02=V($_GET['P02']);
$P03=V($_GET['P03']);
$P04=V($_GET['P04']);
$P05=V($_GET['P05']);
$P06=V($_GET['P06']);
$P07=V($_GET['P07']);
$P08=V($_GET['P08']);
$P09=V($_GET['P09']);
$P10=V($_GET['P10']);
$P11=V($_GET['P11']);
$P12=V($_GET['P12']);
$P13=V($_GET['P13']);
$P14=V($_GET['P14']);
$P15=V($_GET['P15']);
$P16=V($_GET['P16']);
$P17=V($_GET['P17']);
$P18=V($_GET['P18']);
$P19=V($_GET['P19']);
$P20=V($_GET['P20']);
//
//echo CE_BOLETA(125685);
echo CE_NOTA_DE_CREDITO(1254);
//
if($CMD=="VEN_VAL_GEN"){
	$KOD=vbval($P01);
	$CX=gn("count(*)","ventas","id_venta=$KOD");
	if($CX==0){
		echo "|MS|Venta no registrada|";return;
	}
	$ANU=gs("anu","ventas","id_venta=$KOD");
	if($ANU=="S"){
		echo "|MS|La venta se encuentra anulada por lo tanto no se puede generar|";return;
	}
	$GEN=trim(gs("respuesta_sunat_zip","ventas","id_venta=$KOD"));
	if(strlen($GEN)>0){
		echo "|MS|La venta ha sido generada por lo tanto no se puede volver a generar|";return;
	}
	$GEN=gs("ven_fe_ge","ventas","id_venta=$KOD");
	if($GEN=="S"){
		echo "|MS|La venta ha sido generada por lo tanto no se puede volver a generar|";return;
	}
	//
	$Com=gs("COM","vventas_fe","ID=$KOD");
	//
	if(!($Com=="BOL. ELEC." || $Com=="FACT. ELEC.")){
		echo "|MS|Funcion solo valida para BOL. ELEC. y FACT. ELEC.|";return;
	}
	//+++++++++++++++++++++++++++++++++++++++++++++++++++
	$TDP=gs("id_tip_pag","ventas","id_venta=$KOD");
	if($TDP=="CO"){
		echo "|MS|Funcion solo valida para venta al CONTADO|";return;
	}
	//
	$CLI_KOD=gn("id_cliente","ventas","id_venta=$KOD");
	if($CLI_KOD==0){
		echo "|MS|No se puede determinar el ID del registro activo|";return;
	}
	//
	$CLI_RUC=gs("cli_ruc","clientes","id_cliente=".$CLI_KOD);
	$CLI_TDI=gn("cli_id_tip_doc","clientes","id_cliente=".$CLI_KOD);
	$CLI_NDI=gs("cli_dni","clientes","id_cliente=".$CLI_KOD);
	//
	if($Com=="FACT. ELEC."){
		if(strlen($CLI_RUC)==0){
			echo "|MS|El cliente no tiene ruc asignado|";return;
		}
		if(strlen($CLI_RUC)!=11){
			echo "|MS|El ruc debe tener 11 digitos|";return;
		}
	}
	if($Com=="BOL. ELEC."){
		if(strlen($CLI_NDI)==0){
			echo "|MS|El cliente no tiene un numero de identidad asignado|";return;
		}
		if($CLI_TDI==1){
			if(strlen($CLI_NDI)!=8){
				echo "|MS|El numero de dni debe tener 8 digitos|";return;
			}
		}
	}
	//
	echo "$Com|OK|OK|";return;
}
?>